Help Home

Lookout Help Home

The Lookout Toolbar

Query syntax

How to search

Setting your search options
The Lookout Indexer


Lookout Toolbar

The Lookout Toolbar

After installing Lookout, it will make itself resident as a toolbar on your Outlook windows.

You can use the Lookout Toolbar to:

Search your Lookout Index
Start manually indexing
Set your Lookout Options
Get Help


Searching

Searching with Lookout

There are two ways to search:

1. Using the Lookout Toolbar (below). Just type your query and press enter.

2. Using the Lookout Search window. Type your query and press enter or click Search. Lookout remembers your past searches, too:

Notice there are two text boxes in the main search window. In the main text box, titled "Search for", you can type any query. The query will be remembered in the search history. The second box allows you to create custom restrictions for your search. If you have common restrictions or filters that you like to perform on your searches, you can store them using the Restrictions feature.

Search Restrictions

Restrictions are saved searches which you can create and refer to later. For example, you may frequently search for items that are only in the folder "Archive". Instead of having to type the syntax to in the search box to restrict "folder:archive" with each search, you can create a Restriction, title it "Only in Archive", and then quickly refer to it later.

Search History

Lookout keeps a history of your searches. The search history can be accessed from the drop-down box in either the Lookout Toolbar, or the Lookout search window "search for" box.

To clear the search history, open the Search Form, click on the "Advanced Menu" -> "Clear Search History".


Help Home

Lookout Help Options

From the Lookout Toolbar, you can click on the Help button to access several support features of Lookout. From here you can:

1. View the Log File

If you are curious about what Lookout is doing behind the scenes, feel free to check the logfile yourself. Logfiles are kept only on your system. Once a logfile reaches 500KB in size, it is kept for 7 days and then automatically deleted.

2. Report A Bug

If you are having trouble with Lookout in any way, please don't hesitate to let us know. The best way to reach us is via the Report A Bug feature. This feature will gather some information from your Lookout Install (such as your version numbers, your log file, and your lookout configuration file), and compose an email to Lookout Software support. You will have full ability to change and remove anything from the email before it is sent from your machine.

3. Make A Suggestion

Thank you for your contribution! Even though it sometimes takes a while to respond to all suggestions, every single suggestion gets logged in our feature request database and counts as a vote when we start working on the next set of features!

4. Check for Updates

Check for updates will check if there are new updates available. If you are behind a firewall, or otherwise disconnected from the network, this feature will always report that you have the latest version - because it cannot find a newer one available. Otherwise, it will check to see if there are any patches available.

Unless you've specifically disabled the feature via the Options dialog, Lookout automatically checks for updates each time you start Outlook.

5. About Lookout

Here you'll find all the legalese that we have to include.... Please feel free to provide feedback!


Query Syntax

Lookout's Query Syntax

Lookout's query syntax has many features:

mars | documents mentioning mars (keyword search)
mars +photos -rover | mentioning mars and definitely mentioning photos, but not rover
"mars rover" | mentioning the phrase "mars rover"
mars yesterday | mentioning mars, from yesterday (yesterday is a special keyword to Lookout)
mars to:armstrong folder:nasa | mentioning mars to armstrong in folder nasa (to, folder are fields)
attachment:mars -from:armstrong | attachments mentioning mars, but not from armstrong (attachment, from are fields)

Lookout also supports more advanced queries like:

m?rs* | mars, morse, marsupial, marshall
mars~ | mars, bars, cars, tars
"mars rover"~10 | mars and rover within 10 words
"mars rover" photos^4 | mentioning mars rover and photos, but photos counts 4x in result ranking
mars and (rover or pathfinder) | mentioning mars and also mentioning either rover or pathfinder
mars not pathfinder | mars but no mention of pathfinder (not is like '-')

You can add Fields to any Lookout query:

Field | Finds in... | comments
subject:marti* | Outlook | marti, martians, etc. in the subject
to:neil (or from:, cc:, bcc:) | Outlook | to neil
folder:nasa | Outlook, Files | in the nasa folder
subfolder:nasa | Outlook, Files | in the nasa folder, or any of its subfolders.
nasa date:[2/3/2004 to 2/6/2004] | Outlook, Files | containing "nasa" and between Feb 3, 2004 and Feb 6, 2004.
attachments:yes (or no) | Outlook | has (or doesn't have) attachments
space category:work | Outlook | documents containing "space" with the Outlook category of work
email:neil | Outlook Contacts | Find contacts that contain "neil" in any of the email address fields.
phone:650 | Outlook Contacts | Find contacts that contain 650 for the cell phone, work phone, or home phone fields.
importance:high importance:low | Outlook | messages which are explicitly high or low importance (priority)
size:[0 to 1024] | Outlook, Files | documents less than a million bytes (size is in K bytes)
company:microsoft | Outlook Contacts | Find contacts with "microsoft" in the company name field.

Date Range Keywords

Keyword | comments
yesterday | Finds messages of yesterday
lastweek | Finds messages from the last 7 days
lastmonth | Finds messages from the last 30 days
lastyear | Finds messages from the 365 days


Options

Lookout Options

1. Here is the main Options Window. Use this window to control how you would like Lookout to index email and files on your system.

Folders List

In the folders list, you can select which folders you would like Lookout to index for you. Lookout can index both your Outlook folders as well as folders in your My Documents filesystem.

Automatic Indexing

If you check "Automatically Update my Index when Outlook is idle", then Lookout will automatically index files in the background. To avoid interfering with your work, Lookout will wait until your machine is idle for a period of time before starting the indexing process.

The indexer has two modes of operation: update mode, and rebuild mode. In update mode, the indexer remembers where it finished indexing and only indexes new items. In rebuild mode, it regenerates the entire index from scratch. See the indexer for more information.

Limit Indexing to Certain Times of Day

You can also limit Lookout's indexing to only occur at a specific time of day. For example, if you want Lookout to only do indexing nightly between 10pm and 4am, then you can check the box "Only start indexing between the hours of", and then specify the appropriate times.

Add Outlook / Add Files Buttons

To instruct Lookout to index additional Outlook folders (such as PST files or Archive folders) or to index additional parts of your filesystem other than just My Documents, use the Add Outlook and Add Files buttons to browse to the appropriate folder for indexing. The next time the indexer runs, it will also index these folders.

2. The search tab on the options window allows you to specify some additional options about searching, including the number of search results to include on each page. Increase this number if the default 200 results does not find what you are looking for.

3. The advanced tab on the options window allows you to specify some additional options.


Indexing

Lookout Indexing

In order to search your mailbox, Lookout keeps an index of your email messages, contacts, calendar entries and filesystem. Most of the time, Lookout maintains this index efficiently and silently "in the background". Lookout attempts to do indexing while your system is idle. And even when it is indexing, it uses a low-priority so that you can continue to do other work while the indexer is running.

If you would like to see the status of the Indexer, you can click on the "Indexing" button on the Lookout Toolbar . From there, a screen will popup similar to the one below.

You can click "Start" to manually start the indexing process. But you don't need to, by default will index automatically when it needs to.

If you decide you don't want Lookout Indexing right now, you can press "Stop". It may take a few seconds for the indexer to wind down, but it will stop indexing and leave your index in a clean state. The next time you are ready to index, you can press Start, or the next time the automatic indexing timer fires, it will automatically start.

About Rebuilds and Updates

The first time Lookout indexes your mailbox, it does a "Rebuild" of the entire index. This process takes 10-20 minutes for most mailboxes, although the exact amount of time is dependent on the size of your mailbox, the speed of your computer, and your connection to your email server.

Once the "rebuild" is completed, Lookout will usually just operate in "update mode". Update mode will only index new messages rather than re-indexing your entire mailbox.

Some mailbox updates, however, are not detectable by Lookout. These include permanent message deletes and moves between message stores. To catch these updates, Lookout needs to "rebuild" periodically. The default configuration will rebuild the index once per week.


Support

Lookout Support

1. FAQ

The first place to check is our FAQ! Please let us know if something should be added or changed in the FAQ to better answer your question.

The FAQ is posted at http://www.lookoutsoft.com/Lookout/faq/faq.html

2. Lookout Support Forums

Another great resource is the Lookout Support Forums. Here you can ask questions or discuss issues and ideas with others.

The Forums are hosted at http://www.lookoutsoft.com/Forums

3. Submit A Bug

If you still have trouble, please feel free to submit a bug to Lookout Software. The best way to do this is via the Help -> Report A Bug button on the command bar, as it will help send us some summary information about your system. For more information, read about Submit A Bug. If for some reason you cannot access the Lookout toolbar, please send bug reports to mailto:bugs@lookoutsoft.com